%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-range-parser
Version:    0.0.4
Release:    5%{?dist}
Summary:    Range header field string parser for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/node-range-parser
Source0:    http://registry.npmjs.org/range-parser/-/range-parser-%{version}.tgz
# The test files are not included in the npm tarball.
# wget https://raw.github.com/visionmedia/node-range-parser/master/test/range-parser.js
Source10:   test.range-parser.js
# License added upstream:
# https://github.com/visionmedia/node-range-parser/commit/d16617d0f2
Source20:   Readme.md

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%setup -q -n package
mkdir -p test/
cp -p %{SOURCE10} test/range-parser.js
cp -p %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/range-parser
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/range-parser

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require should
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/range-parser


%changelog
* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.4-5
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-4
- rebuild for missing npm(nodejs-range-parser) provides on EL6

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.4-3
- add copy of Readme.md from upstream that contains the license text

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.4-2
- document how to retrieve tests

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.4-1
- initial package
